<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
      xmlns:xs="http://www.w3.org/2001/XMLSchema"
      
      xmlns:dk="kelis.fr:dokiel"
      xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
      xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
      
      exclude-result-prefixes="xs"
      version="2.0"> 
    
    
    
    <!--***** Racine *****-->
    <xsl:template match="dk:guideWRoot">
        <html>
            <xsl:apply-templates select="./*"/>
        </html>
    </xsl:template>
    
    
    <!--***** Guide web *****-->
    <xsl:template match="dk:guideWRootM">
        <head>
            <xsl:apply-templates select="sp:longTitle"/>
            <meta charset="utf-8"/>
            <meta generator="HdocConverter/Dokiel4.0"/>
            <xsl:apply-templates select="sp:info"/>
        </head>
    </xsl:template>
    
    <!-- Title guide web -->
    <xsl:template match="sp:longTitle">
        <xsl:apply-templates select="dk:textSimple"/>
    </xsl:template>
    <xsl:template match="dk:textSimple">
        <title><xsl:value-of select="sc:para"/></title>
    </xsl:template>
    
    <!-- info guide web -->
    <xsl:template match="sp:info">
        <xsl:apply-templates select="dk:rootM"/>
    </xsl:template>
    <xsl:template match="dk:rootM">
        <xsl:apply-templates select="sp:vars"/>
    </xsl:template>
    <!-- auteur -->
    <xsl:template match="sp:vars">
        <xsl:element name="meta"><xsl:attribute name="name">author</xsl:attribute><xsl:attribute name="content"><xsl:value-of select="./sp:vName"/></xsl:attribute></xsl:element>
    </xsl:template>
    
    
    
    <!--***** User guide *****-->
    <xsl:template match="dk:userGuide">
        <body>
            <h1><xsl:value-of select="dk:headTitle"/></h1>
            <xsl:apply-templates select="./*"/>
        </body>
    </xsl:template>
</xsl:stylesheet>
