<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
	xmlns:hdoc="http://www.utc.fr/ics/hdoc/xhtml"
    version="2.0">
	
	 <xsl:output method="xml" indent="yes"/>
	
    <xsl:template match="hdoc:html">
	
		<office:document-content xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0"
		xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0"
		xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"
		xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0"
		xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"
		xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0"
		xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:dc="http://purl.org/dc/elements/1.1/"
		xmlns:meta="urn:oasis:names:tc:opendocument:xmlns:meta:1.0"
		xmlns:number="urn:oasis:names:tc:opendocument:xmlns:datastyle:1.0"
		xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0"
		xmlns:chart="urn:oasis:names:tc:opendocument:xmlns:chart:1.0"
		xmlns:dr3d="urn:oasis:names:tc:opendocument:xmlns:dr3d:1.0"
		xmlns:math="http://www.w3.org/1998/Math/MathML"
		xmlns:form="urn:oasis:names:tc:opendocument:xmlns:form:1.0"
		xmlns:script="urn:oasis:names:tc:opendocument:xmlns:script:1.0"
		xmlns:ooo="http://openoffice.org/2004/office" xmlns:ooow="http://openoffice.org/2004/writer"
		xmlns:oooc="http://openoffice.org/2004/calc" xmlns:dom="http://www.w3.org/2001/xml-events"
		xmlns:xforms="http://www.w3.org/2002/xforms" xmlns:xsd="http://www.w3.org/2001/XMLSchema"
		xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
		xmlns:rpt="http://openoffice.org/2005/report"
		xmlns:of="urn:oasis:names:tc:opendocument:xmlns:of:1.2"
		xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:grddl="http://www.w3.org/2003/g/data-view#"
		xmlns:tableooo="http://openoffice.org/2009/table"
		xmlns:field="urn:openoffice:names:experimental:ooo-ms-interop:xmlns:field:1.0"
		office:version="1.2">
			<office:font-face-decls>
				<style:font-face style:name="Mangal1" svg:font-family="Mangal"/>
				<style:font-face style:name="Times New Roman"
					svg:font-family="&apos;Times New Roman&apos;" style:font-family-generic="roman"
					style:font-pitch="variable"/>
				<style:font-face style:name="Arial" svg:font-family="Arial"
					style:font-family-generic="swiss" style:font-pitch="variable"/>
				<style:font-face style:name="Mangal" svg:font-family="Mangal"
					style:font-family-generic="system" style:font-pitch="variable"/>
				<style:font-face style:name="Microsoft YaHei"
					svg:font-family="&apos;Microsoft YaHei&apos;" style:font-family-generic="system"
					style:font-pitch="variable"/>
				<style:font-face style:name="SimSun" svg:font-family="SimSun"
					style:font-family-generic="system" style:font-pitch="variable"/>
			</office:font-face-decls>
			<office:automatic-styles>
				<style:style style:name="P1" style:family="paragraph" style:parent-style-name="Standard">
					<style:paragraph-properties fo:text-align="center" style:justify-single-word="false"/>
					<style:text-properties fo:font-size="20pt" style:font-size-asian="20pt"
						style:font-size-complex="20pt"/>
				</style:style>
				<style:style style:name="P2" style:family="paragraph" style:parent-style-name="Standard">
					<style:text-properties style:use-window-font-color="true" fo:font-weight="bold"
						style:font-weight-asian="bold" style:font-weight-complex="bold"/>
				</style:style>
				<style:style style:name="P3" style:family="paragraph" style:parent-style-name="Standard">
					<style:text-properties fo:font-size="12pt" style:font-size-asian="12pt"
						style:font-size-complex="12pt"/>
				</style:style>
				<style:style style:name="P4" style:family="paragraph" style:parent-style-name="Standard">
					<style:text-properties fo:color="#6666ff" fo:font-weight="bold"
						style:font-weight-asian="bold" style:font-weight-complex="bold"/>
				</style:style>
			</office:automatic-styles>
		 <office:body>
			<office:text>
				<text:p text:style-name="P1"><xsl:value-of select="hdoc:head/hdoc:title"/></text:p>
				<text:p text:style-name="P2"><xsl:value-of select="hdoc:head/hdoc:meta/@content"/></text:p>
				
				<xsl:apply-templates select="hdoc:body"/>
				
			</office:text> 
		</office:body>
		</office:document-content>
		</xsl:template>

		<xsl:template match="hdoc:section">
			<xsl:apply-templates/>
		</xsl:template>
		
	<xsl:template match="hdoc:header">
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template match="hdoc:h1">
		<text:p text:style-name="P3" xmlns:text="text"><xsl:value-of select="."/></text:p>
		<xsl:apply-templates/>
	</xsl:template>
		
	<xsl:template match="hdoc:div">
	</xsl:template>
		
</xsl:stylesheet>
