<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet
    xmlns:h="http://www.utc.fr/ics/hdoc/xhtml"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:op="utc.fr:ics/opale3"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
    >
    <xsl:output method="xml" indent="yes" encoding="UTF-8"/>
    
    <xsl:template match="h:html">
        <sc:item>
            <xsl:apply-templates select="./*"/>
        </sc:item>
    </xsl:template>
    
    <xsl:template match="h:head">
        <op:uM xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core">
            <sp:title><xsl:value-of select="./h:title"/></sp:title>
        </op:uM>
    </xsl:template>
    
    <xsl:template match="h:body">
        <sp:pb>
            <xsl:apply-templates select="./*"/>
        </sp:pb>
    </xsl:template>
    
    <xsl:template match="h:section">
        <sp:basic>
            <sp:title><xsl:value-of select="./h:header/h:h1"/></sp:title>
            <xsl:apply-templates select="./h:div"/>
        </sp:basic>
    </xsl:template>
    
    <xsl:template match="h:div">
            <sc:para><xsl:value-of select="./h:p"/></sc:para>
    </xsl:template>
</xsl:stylesheet>