<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:of="scpf.org:office"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
    xmlns:h="http://www.utc.fr/ics/hdoc/xhtml">
    <xsl:template match="h:html">
        <xsl:processing-instruction name="oxygen">
            RNGSchema="exportRngOptim/of_paper.rng" type="xml" 
        </xsl:processing-instruction>
        <sc:item xmlns:sc="http://www.utc.fr/ics/scenari/v3/core">
            <of:paper xmlns:of="scpf.org:office" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core">
                <xsl:apply-templates/>
            </of:paper>
        </sc:item>
    </xsl:template>
    
    <xsl:template match="h:head">
        <of:paperM>
            <xsl:apply-templates/>
        </of:paperM>
    </xsl:template>
    
    <xsl:template match="h:title | h:h1">
        <sp:title><xsl:value-of select="."/></sp:title>
    </xsl:template>
    
    <xsl:template match="h:body">
        <sp:chap>
            <of:section>
                <xsl:apply-templates/>
            </of:section>
        </sp:chap>
    </xsl:template>
    
    <xsl:template match="h:section">
        <sp:sec>
            <of:section>
                <xsl:apply-templates select="h.header"/>
                <sp:content>
                    <of:fragment>
                        <xsl:apply-templates select="h.div"/>
                    </of:fragment>
                </sp:content>
            </of:section>
        </sp:sec>
    </xsl:template>

    <xsl:template match="h:header">
        <of:sectionM>
            <xsl:apply-templates/>
        </of:sectionM>
    </xsl:template>
    
    <xsl:template match="div">
        <sp:info>
            <of:block>
                <sp:co>
                    <of:flow>
                        <sp:txt>
                            <of:txt>
                                <xsl:apply-templates/>
                            </of:txt>
                        </sp:txt>
                    </of:flow>
                </sp:co>
            </of:block>
        </sp:info>
    </xsl:template>
    
    <xsl:template match="p">
        <sc:para xml:space="preserve">
            <xsl:value-of select="."/>
        </sc:para>
    </xsl:template>

</xsl:stylesheet>