<?xml version="1.0" encoding="UTF-8"?>

<!-- namespaces ajoutés -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
      xmlns:xs="http://www.w3.org/2001/XMLSchema"
      exclude-result-prefixes="xs"
      version="2.0"
      
      xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
      xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
      xmlns:op="utc.fr:ics/opale3">
    
    <!-- module  -->
    <xsl:template match="op:ue">
        
        <!-- RNG -->
        <xsl:processing-instruction name="oxygen">
            RNGSchema="http://scenari.utc.fr/hdoc/schemas/xhtml/hdoc1-xhtml.rng" type="xml"
        </xsl:processing-instruction>
        
        <!-- HTML -->
        <html xmlns="http://www.utc.fr/ics/hdoc/xhtml">
            
            <!-- MODULE"s HEADER -->
            <head>
                <xsl:apply-templates select="op:ueM/sp:title"/>
                <meta charset="utf-8"/>
                <meta generator="HdocConverter/Opale3.4"/>
                <xsl:apply-templates select="op:ueM/sp:info"/>
            </head>
            
            <!-- MODULE's COMPONENTS  -->
            <body>
                <xsl:apply-templates select="child::*[name() != 'op:ueM']"/>
            </body>
        </html>
    </xsl:template>
    
    <!-- Information -->
    <xsl:template match="op:ueM/sp:info">
        <xsl:apply-templates select="op:info/sp:keywds/op:keywds/sp:keywd" />
        <xsl:apply-templates select="op:info/sp:cc" />
        <xsl:apply-templates select="op:info/sp:cpyrgt/op:sPara/sc:para" />
    </xsl:template>
    
    <!-- title -->
    <xsl:template match="op:uM/sp:title">
        <h1><xsl:value-of select="." /></h1>
    </xsl:template>
    <xsl:template match="op:ueM/sp:title">
        <title><xsl:value-of select="." /></title>
    </xsl:template>
    
    <!-- subtitle -->
    <xsl:template match="op:uM/sp:sTitle">
        <!-- à voir si ajouter ou si ignorer -->
        <h2><xsl:value-of select="." /></h2>
    </xsl:template>
        
    <!-- liscence -->
    <xsl:template match="op:ueM/sp:info/op:info/sp:cc">
        <meta name="rights" content="{.}" />
    </xsl:template>
    <xsl:template match="op:uM/sp:info/op:info/sp:cc">
        <div data-hdoc-type="rights">
            <xsl:value-of select="." />
        </div>
    </xsl:template>
    
    <!-- keywords -->
    <xsl:template match="op:ueM/sp:info/op:info/sp:keywds/op:keywds/sp:keywd">
        <meta name="keywords" content="{.}" />
    </xsl:template>
    <xsl:template match="op:uM/sp:info/op:info/sp:keywds">
        <div data-hdoc-type="tags">
            <xsl:apply-templates select="./op:keywds/sp:keywd" />
        </div>
    </xsl:template>
    <xsl:template match="op:uM/sp:info/op:info/sp:keywds/op:keywds/sp:keywd">
        <span><xsl:value-of select="." /></span>
    </xsl:template>
    
    <!-- author -->
    <xsl:template match="op:ueM/sp:info/op:info/sp:cpyrgt/op:sPara/sc:para">
        <meta name="author" content="{.}" />
    </xsl:template>
    <xsl:template match="op:uM/sp:info/op:info/sp:cpyrgt/op:sPara/sc:para">
        <div data-hdoc-type="author">
            <xsl:value-of select="." />
        </div>
    </xsl:template>
      
    <!-- Activité -->
    <xsl:template match="sp:courseUa">
        <section>
            <header>
                <xsl:apply-templates select="./op:courseUa/op:uM/sp:title"/>
                <xsl:apply-templates select="./op:courseUa/op:uM/sp:info/op:info/sp:cpyrgt/op:sPara/sc:para"/>
            </header>
            
            <xsl:apply-templates select="./op:courseUa/child::*[name() != 'op:uM']"/>
            
            <footer>
                <xsl:apply-templates select="./op:courseUa/op:uM/sp:info/op:info/sp:keywds"/>
            </footer> 
        </section>
    </xsl:template>
    
    <!-- Grain -->
    <xsl:template match="sp:courseUc">
        <section>
            <header>
                <xsl:apply-templates select="./op:expUc/op:uM/sp:title"/>
                <xsl:apply-templates select="./op:expUc/op:uM/sp:info/op:info/sp:cpyrgt/op:sPara/sc:para"/>
                <xsl:apply-templates select="./op:expUc/op:uM/sp:info/op:info/sp:cc"/>
            </header>
            
            <xsl:apply-templates select="./op:expUc/child::*[name() != 'op:uM']"/>
            
            <footer>
                <xsl:apply-templates select="./op:expUc/op:uM/sp:info/op:info/sp:keywds"/>
            </footer>                  
        </section>
    </xsl:template>
    
</xsl:stylesheet>
