<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:of="scpf.org:office"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive"
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns="http://www.utc.fr/ics/hdoc/xhtml">
    
    <xsl:output method="xml" indent="yes"/>
    <xsl:template match="/">
        <xsl:processing-instruction name="oxygen">
            RNGSchema="http://scenari.utc.fr/hdoc/schemas/xhtml/hdoc1-xhtml.rng" type="xml"
        </xsl:processing-instruction>
        <html>
            <head>
                <title><xsl:apply-templates select="//of:paperM/sp:title" /></title>
                <meta charset="utf-8"/>
                <xsl:variable name="author" select="//of:paperM/sp:commonMeta/of:commonM/sp:copyright" />
                <meta name="author" content="{$author}"/>
            </head>
            <body>
                <xsl:apply-templates select="//sp:pre | //sp:chap | //sp:post"/>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template name="section" match="of:section">
        <section>
            <header>
                <h1>
                    <xsl:value-of select="of:sectionM/sp:title"/>
                </h1>
                <div>
                    <xsl:attribute name="data-hdoc-type">author</xsl:attribute>
                    <xsl:value-of select="//of:paperM/sp:commonMeta/of:commonM/sp:copyright"/>
                </div>
            </header>
            <xsl:apply-templates select="sp:sec | sp:content"/>
        </section>
    </xsl:template>
    
    <xsl:template name="subSection" match="sp:sec">
        <xsl:apply-templates/>
    </xsl:template>
    
    <xsl:template name="content" match="sp:content">
        <xsl:for-each select="of:fragment">
            <xsl:apply-templates select="sp:info"/>
        </xsl:for-each>
    </xsl:template>
    
    <xsl:template name="block" match="of:block">
        <div>
            <h6><xsl:value-of select="of:blockM/sp:title"/></h6>
            <p>
                <xsl:value-of select="sp:co/of:flow/sp:txt/of:txt/sc:para"/>
            </p>
        </div>
    </xsl:template>
    
</xsl:stylesheet>
