<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:hdoc="utc.fr/ics:hdoc" 
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
    xmlns:bs="scpf.org:base"
    version="2.0">
    <!-- LATER: delete xmlns:bs="scpf.org:base"  -->
    <!-- xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" -->
    <xsl:output method="xml" indent="yes" encoding="UTF-8"/>
    
    <xsl:template match="/">
        <xsl:processing-instruction name="oxygen">
            RNGSchema="http://scenari.utc.fr/hdoc/schemas/xhtml/hdoc1-xhtml.rng"
        </xsl:processing-instruction>
        <html>
            <xsl:apply-templates select="*"></xsl:apply-templates>
        </html>        
    </xsl:template>
    
    <!-- ADD the line to validate the validate file with the hdoc schema(nrg) -->
    <!-- HEAD : Done --> 
    <xsl:template match="sp:head">
       <!-- we're in the head part<br/>-->
        <head>
            <xsl:apply-templates select="*"></xsl:apply-templates>
        </head>
    </xsl:template>
    
    <xsl:template match="sp:title">
        <title><xsl:value-of select="."></xsl:value-of></title>
    </xsl:template>
    
    <xsl:template match="sp:meta">
        <meta charset="{.}"/>
    </xsl:template>
    
    <xsl:template match="sp:metagen">
        <meta generator="{.}"/>
    </xsl:template>
    
    <xsl:template match="sp:metasub">
        <meta name="{./sp:type}" content="{./sp:content}"/>
    </xsl:template>
    
    
    <!-- BODY : unfinished yet -->
    <!-- gérer tous les cas; par exemple section dans section -->
    <xsl:template match="sp:body">
        <body>
           <!-- we're in the body part <br/>-->
            <xsl:apply-templates select="*"></xsl:apply-templates>
        </body>
    </xsl:template>
    
    <xsl:template match="hdoc:section">
        <section class="{./sp:class/hdoc:class/sp:class/bs:sTxt/sc:para/text()}" >
            <xsl:apply-templates select="*"></xsl:apply-templates>
        </section>
    </xsl:template>
    
    <xsl:template match="hdoc:headerdata">
        <header>
            <xsl:apply-templates select="*"></xsl:apply-templates>
        </header>
    </xsl:template>
    
    <xsl:template match="hdoc:class">
        <!-- does nothing when matches this element -->
    </xsl:template>
    
    <xsl:template match="sp:h1value">
        <h1><xsl:value-of select="."></xsl:value-of></h1>
    </xsl:template>
    
    <xsl:template match="sp:authorvalue">
        <!-- LATER : change class here to data-hdoc-type -->
        <div class="author">
            <xsl:value-of select="."></xsl:value-of>
        </div>
    </xsl:template>
    
    <!-- LATER : remove sTxt.model from the model ScB -->
    <xsl:template match="sc:para">
        <xsl:value-of select="."></xsl:value-of>
    </xsl:template>
    
    <xsl:template match="sp:datevalue">
        <!-- LATER : change class here to data-hdoc-type -->
        <div class="date">
            <!-- How to implement the data type here ?  -->
            <xsl:value-of select="." ></xsl:value-of>
        </div>
    </xsl:template>

    <xsl:template match="sp:content">
        <xsl:apply-templates select="*"></xsl:apply-templates>
    </xsl:template>
    
    <xsl:template match="hdoc:content">
        <div data-hdoc-type="{./sp:meta/hdoc:datahdoctype/sc:fullTitle/text()}">
            <xsl:apply-templates select="*"></xsl:apply-templates>
        </div>
    </xsl:template>
    <xsl:template match="hdoc:content//sp:meta">
       <!-- meta in a hdoc content element -->
        <xsl:apply-templates select="*"></xsl:apply-templates>
    </xsl:template>
    
    <xsl:template match="sc:fullTitle">
        
    </xsl:template>
    
    <xsl:template match="sp:h6">
        <h6><xsl:value-of select="./bs:sTxt/sc:para/text()"></xsl:value-of></h6>
    </xsl:template>    
    
    <xsl:template match="sp:flow">
        <!-- we're in the flow element -->
    </xsl:template>
    
    <xsl:template match="sp:footersec">
        
    </xsl:template>
    
    
</xsl:stylesheet>
