<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:excerpt="http://wordpress.org/export/1.2/excerpt/"
    xmlns:content="http://purl.org/rss/1.0/modules/content/"
    xmlns:wp="http://wordpress.org/export/1.2/"
    xmlns:dc="http://purl.org/dc/elements/1.1/"
    xmlns="http://www.utc.fr/ics/hdoc/xhtml"
    exclude-result-prefixes="wp dc">

    <xsl:output method="xml" indent="yes" omit-xml-declaration="no"/>
    <xsl:template match="/">
        <xsl:processing-instruction name="oxygen">RNGSchema="http://scenari.utc.fr/hdoc/schemas/xhtml/hdoc1-xhtml.rng" type="xml"</xsl:processing-instruction>
        
        <html>
            <!-- head -->
            <head>
                <title><xsl:value-of select="title" /></title>
                <meta charset="utf-8"><xsl:text/></meta>
                <meta generator="HdocConverter/Wordpress"><xsl:text/></meta>
                <meta name="description">
                    <xsl:attribute name="content"><xsl:value-of select="description"/></xsl:attribute>
                    <xsl:text/>
                </meta>
                <meta name="author">
                    <xsl:attribute name="content"><!-- foreach autheur mettre l'admin (auteur d'id = 1 ) à voir --></xsl:attribute>
                    <xsl:text/>
                </meta>
                
            </head>
            
            <!-- body -->
            <body>
                <xsl:apply-templates />
            </body>
        </html>
    </xsl:template>
    <!-- WordPress Has 2 main publications format -->
    <!-- Transform 'post' publication -->
    <xsl:template match="//item[wp:post_type = 'post']">
       <section>
           <!-- publication header --> 
           <!-- un post a forcement un auteur et une date de publication dans WordPress et donc forcement un header dans hdoc -->
            <header>
                <h1><xsl:value-of select="title"/></h1>
                <!-- publication author -->
                <xsl:apply-templates select="dc:creator"></xsl:apply-templates>
                
                <!-- A FAIRE: Convertir au format DATE -->
                <!-- publication date -->
                <!-- <div data-hdoc-type="date">
                   <xsl:value-of select="pubDate"/>               
                </div> -->  
            </header>
            <div>
                <p></p>
            </div>
           
           <!-- publication footer -->
           <footer> 
               <!-- a publication may not have any tag -->
               <xsl:if test="category[@domain = 'post_tag']">
                   <div data-hdoc-type="tags">
                       <xsl:apply-templates select="category[@domain = 'post_tag']"/>
                   </div>
               </xsl:if>
               <xsl:apply-templates select="tags"></xsl:apply-templates>
               <div data-hdoc-type="categories">
                   <xsl:apply-templates select="category[@domain = 'category']"/>
               </div>
           </footer>
        </section>
    </xsl:template>
    
    <!-- publication authors -->
    <xsl:template match="//item[wp:post_type = 'post']/dc:creator">
        <div data-hdoc-type="author">
            <xsl:value-of select="."/>
        </div>
    </xsl:template>
    
    <!--publication's categories -->
    <xsl:template match="category[@domain = 'category']">
        <span><xsl:value-of select="."/></span>          
    </xsl:template>
    <!--publication's tags -->
    <xsl:template match="category[@domain = 'post_tag']">
        <span><xsl:value-of select="."/></span>          
    </xsl:template>
    
   <!-- overriding default rules --> 
    <xsl:template match="text()|@*"> </xsl:template>
    
    
</xsl:stylesheet>