$(document).ready(function()

{



	// Function for updating the convert target list :

	function updateConvertList()

	{			

		$("#convert_list").html(""); // clean up the list.

		

		var types = ["hdoc","odt","optim","mm","dokiel","opale","opml","wp","ckeditor","latex","simplechain"]; // Later we will get the list from the server.

		

		var i;

		for(i = 0; i < types.length; i++)

		{		

			$("#convert_list").append("<li id=\"convert_"+types[i]+"\" class=\"ui-selectee\" name=\""+types[i]+"\">"+types[i]+"</li>"); // Add all the types to the list.

		}

		

		$("#file_list li").each(function() // For each selected file.

		{

			var name = $(this).attr("title");

			var ext = name.substr(name.lastIndexOf('.')+1);

			

			if($(this).hasClass("ui-selected"))

			{	

				$("#convert_"+ext).remove(); // We remove its extension from the list.

			}

		});

		

		// Resets the menus :

		$(".hidden_menu:not(#action_list)").removeClass("activated");

		$(".action_button").removeClass("activated");

	}



	// Apply the selectable jquery ui class to the lists :

	$("#convert_list").selectable

	({

		selected : function() 

		{ 

			if(!$("#convert_list").hasClass("activated"));

			{

				$("#convert_run_list").addClass("activated"); 

			}

		},

		unselected : function()

		{

			if($("#convert_list .ui-selected").size() == 0)

			{				

				$("#convert_run_list").removeClass("activated");

			}

		}

	});	

	

	// File selecting options :

	$("#file_options").accordion(

	{

		collapsible: true, 

		active : false // active = false => option pannel closed at start.

	});

	

	// Selecting at least one element in the "file_list" menu will activate the "action_list" menu :

	$("#file_list").selectable

	({

		selected : function() 

		{ 

			if(!$("#action_list").hasClass("activated"));

			{

				$("#action_list").addClass("activated"); 

			}

			updateConvertList();

		},

		unselected : function()

		{

			if($("#file_list .ui-selected").size() == 0)

			{				

				$(".hidden_menu").removeClass("activated");

			}

			updateConvertList();

		}

	});	

	

	// ----------------------------------------------- Convert menu :

	// Links up the "convert" button :

	$("#convert_action").click(function()

	{

		if($(this).hasClass("activated"))

		{

			$(this).removeClass("activated");

			$("#convert_list").removeClass("activated");

			$("#convert_list_title").removeClass("activated");

			$("#convert_run_list").removeClass("activated");

			$("#convert_list .ui-selected").each(function() {$(this).removeClass("ui-selected");});

		}

		else

		{			

			$(".hidden_menu:not(#action_list)").removeClass("activated");

			$(".action_button").removeClass("activated");

			$(this).addClass("activated");

			$("#convert_list_title").addClass("activated");

			$("#convert_list").addClass("activated");

		}

	});

	//  |

		// Links up the "convert_run_action" button :

		$("#convert_run_action").click(function()

		{

			var files =  new Array();

			$("#file_list .ui-selected").each(function()

			{

				files.push($(this).attr("title"));				

			});

			

			var types =  new Array();

			$("#convert_list .ui-selected").each(function()

			{

				types.push($(this).attr("name"));				

			});			

			

			$.post( "php/convert.php", {"targets" : types, "files" : files}) 

				.done(function( message ) 

				{	

					var infos = $.parseJSON(message);

					if(!infos.success) // Global fail.

					{	

						alert(infos.error);

					}

					else

					{

						if(infos.refused.length >0) // File related fail.

						{

							alert(infos.refused.length+" files hasn't been converted.");

							$("#message").html(infos.refused);

						}

					

						if(infos.results.length >0)	// Well done job.

						{	

							loadFileList();

						}

					}

					

				});

				

			$(this).removeClass("activated");

			$("#convert_list").removeClass("activated");

			$("#convert_run_list").removeClass("activated");

			$("#convert_list_title").removeClass("activated");

			$("#convert_list .ui-selected").each(function() {$(this).removeClass("ui-selected");});

			

					

		});

	//  |_________________________________________________ End for convert menu.

	

	// ----------------------------------------------- Download menu :

	// Links up the "download" button :

	$("#download_action").click(function()

	{

		if($(this).hasClass("activated"))

		{

			$(this).removeClass("activated");

			$("#download_list").removeClass("activated");

		}

		else

		{

			$(".hidden_menu:not(#action_list)").removeClass("activated");

			$("#convert_list .ui-selected").each(function() {$(this).removeClass("ui-selected");});

			$(".action_button").removeClass("activated");

			$(this).addClass("activated");

			$("#download_list").addClass("activated");

		}

	});

	//  |

		// Links up the "download_split" button :

		$("#donwload_split_action").click(function()

		{		

		

			$("#file_list .ui-selected").each(function()

			{

				var file = $(this).attr("title");

				$.post( "php/download.php", {"mode" : "single", "file" : file})

				.done(function( message ) 

				{

					var infos = $.parseJSON(message);

					if(infos.success)

						$.fileDownload(infos.url); // If the file exist the "infos.url" will be the file's.

					else

						alert(infos.error);

				});

			});

			

			$("#download_action").removeClass("activated");

			$("#download_list").removeClass("activated");

					

		});

	//	|

		// Links up the "download_zip" button :

		$("#download_zip_action").click(function()

		{

		

			var files =  new Array();

			$("#file_list .ui-selected").each(function()

			{

				files.push($(this).attr("title"));				

			});

			

			$.post( "php/download.php", {"mode" : "zip", "files" : files}) // This post will ask for the server to make an archive and it will be sent back its url.

				.done(function( message ) 

				{

					var infos = $.parseJSON(message);

					if(infos.success)

						$.fileDownload(infos.url);

					else

						alert(infos.error);

				});

				

			$("#download_action").removeClass("activated");

			$("#download_list").removeClass("activated");			

		});

	//  |_________________________________________________ End for download menu.

	

	// ----------------------------------------------- Delete menu :

	// Links up the "delete" button :

	$("#delete_action").click(function()

	{

		if($(this).hasClass("activated"))

		{

			$(this).removeClass("activated");

			$("#delete_list").removeClass("activated");

		}

		else

		{			

			$(".hidden_menu:not(#action_list)").removeClass("activated");

			$("#convert_list .ui-selected").each(function() {$(this).removeClass("ui-selected");});

			$(".action_button").removeClass("activated");

			$(this).addClass("activated");

			$("#delete_list").addClass("activated");

		}

	});

	//  |

		// Links up the "delete_confirm" button :

		$("#delete_confirm_action").click(function()

		{

			var file_list = new Array();

			$("#file_list .ui-selected").each(function()

			{

				file_list.push($(this).attr("title"));

			});

			$.post( "php/delete.php", {"file_list" : file_list})

			.done(function( message ) 

			{

				$("#message").html("<font color='red'>"+message+"</font>");

				loadFileList();

			});

		});

	//	|

		// Links up the "delete_cancel" button :

		$("#delete_cancel_action").click(function()

		{

			$("#delete_action").removeClass("activated");

			$("#delete_list").removeClass("activated");

		});

	//  |_________________________________________________ End for delete menu.

	

	

	var max_name_size = 32; // Max chars showed in file name preview.

	function addFileInList(name)

	{	

		// Shortening the name for display :

		var full_name = name;

		var short_name = name;

		var ext = name.split(".");

		ext = ext[ext.length-1];

		if(name.length > max_name_size)

			short_name = name.substring(0,max_name_size-8)+"..."+name.substring(name.length-5,name.length);

			

		$("#file_list").append("<li class='file_slot' title=\""+full_name+"\" ext="+ext+">"+short_name+"</li>");	// The full name is still in the title.

	}

	

	// Load the list of already uploaded files :

	function loadFileList()

	{

		$("#file_list").html("");

		$(".hidden_menu").removeClass("activated");

		$(".action_button").removeClass("activated");

		$.ajax(

		{

			url: "php/scandir.php"

		}).done(function(data) 

		{

			var list = $.parseJSON(data);

			list.forEach(function(file)

			{

				addFileInList(file);

			});

		});

	}

	

	loadFileList();

				

	

	// Set up the uploading form :

    var options = 

	{

		beforeSend: function()

		{

			$("#progress").show();

			//clear everything

			$("#bar").width('0%');

			$("#message").html("");

			$("#percent").html("0%");

		},

		uploadProgress: function(event, position, total, percentComplete)

		{

			$("#bar").width(percentComplete+'%');

			$("#percent").html(percentComplete+'%');

	 

		},

		success: function()

		{

			$("#bar").width('100%');

			$("#percent").html('100%');

	 

		},

		complete: function(response)

		{

			var infos = $.parseJSON(response.responseText);

			

			if(infos.success)

			{

				$("#message").html("<font color='green'>"+infos.message+"</font>");

				addFileInList(infos.filename);

			}

			else

			{

				$("#message").html("<font color='red'>"+infos.message+"</font>");

			}

		},

		error: function()

		{

			$("#message").html("<font color='red'> ERROR: unable to upload files</font>");

	 

		} 

	};

	

    $("#upload_form").ajaxForm(options);

	

});